Create Bucket
POST/v1/storage/buckets
Create a Bucket. The Bucket is created asynchronously: follow the returned operation until it is done.
Body ParametersJSON
name: string
Name of the Bucket, used to address it over S3. It must be 3 to 63 characters of lowercase letters, digits, dots and hyphens, start and end with a letter or digit, not contain two adjacent dots and not be formatted as an IP address. “admin” and “ops-api” are reserved. The name cannot be changed once the Bucket is created.
maxLength63
minLength3
Create Bucket
curl https://api.nirvanalabs.io/v1/storage/buckets \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $NIRVANA_LABS_API_KEY" \
-d '{
"name": "my-bucket",
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"region": "us-sva-2",
"tags": [
"production",
"ethereum"
]
}'{
"id": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2025-01-01T00:00:00Z",
"details": {
"changes": {
"foo": {
"from": "string",
"to": "string"
}
}
},
"kind": "vm",
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"resource_id": "123e4567-e89b-12d3-a456-426614174000",
"status": "pending",
"type": "create",
"updated_at": "2025-01-01T00:00:00Z"
}Returns Examples
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2025-01-01T00:00:00Z",
"details": {
"changes": {
"foo": {
"from": "string",
"to": "string"
}
}
},
"kind": "vm",
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"resource_id": "123e4567-e89b-12d3-a456-426614174000",
"status": "pending",
"type": "create",
"updated_at": "2025-01-01T00:00:00Z"
}